Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTextPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicEditorPaneUI
        - - javax.swing.plaf.basic.BasicTextPaneUI

All Implemented Interfaces:
  ViewFactory

    public class BasicTextPaneUI
    extends BasicEditorPaneUI

Provides the look and feel for a styled text editor.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI

`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

### Constructor Summary

Constructors
Constructor and Description
`BasicTextPaneUI()` Creates a new BasicTextPaneUI.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ComponentUI` `createUI(JComponent c)` Creates a UI for the JTextPane.
`protected String` `getPropertyPrefix()` Fetches the name used as a key to lookup properties through the UIManager.
`void` `installUI(JComponent c)` Installs the UI for a component.
`protected void` `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed on the associated JTextComponent.

### Methods inherited from class javax.swing.plaf.basic.BasicEditorPaneUI

`getEditorKit, uninstallUI`

### Methods inherited from class javax.swing.plaf.basic.BasicTextUI

`create, create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, update, viewToModel, viewToModel`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicTextPaneUI

    public BasicTextPaneUI()

Creates a new BasicTextPaneUI.

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent c)

Creates a UI for the JTextPane.

Parameters:
  `c` - the JTextPane object
Returns:
  the UI

#### getPropertyPrefix

    protected String getPropertyPrefix()

Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.

Overrides:
  `getPropertyPrefix` in class `BasicEditorPaneUI`
Returns:
  the name ("TextPane")

#### installUI

    public void installUI(JComponent c)

Description copied from class: `BasicEditorPaneUI`
Installs the UI for a component. This does the following things.

1. Sets the associated component to opaque if the opaque property has not already been set by the client program. This will cause the component's background color to be painted.
2. Installs the default caret and highlighter into the associated component. These properties are only set if their current value is either `null` or an instance of `UIResource`.
3. Attaches to the editor and model. If there is no model, a default one is created.
4. Creates the view factory and the view hierarchy used to represent the model.

Overrides:
  `installUI` in class `BasicEditorPaneUI`
Parameters:
  `c` - the editor component
See Also:
  `ComponentUI.installUI(javax.swing.JComponent)`

#### propertyChange

    protected void propertyChange(PropertyChangeEvent evt)

This method gets called when a bound property is changed on the associated JTextComponent. This is a hook which UI implementations may change to reflect how the UI displays bound properties of JTextComponent subclasses. If the font, foreground or document has changed, the the appropriate property is set in the default style of the document.

Overrides:
  `propertyChange` in class `BasicEditorPaneUI`
Parameters:
  `evt` - the property change event